Neues phpBB in Version 2.0.14 erschienen!

Hier die Newsecke (Kein Support!)
Stoebi
User
User
Beiträge: 468
Registriert: Do 24.Feb, 2005 16:35
Wohnort: Berlin
Kontaktdaten:

Beitrag von Stoebi » Sa 16.Apr, 2005 15:49

Hallo,

ich wollte noch einmal auf diese Frage zurück:


In admin/page_footer_admin.php wird verlangt folgende Zeile zu ersetzen:

Code: Alles auswählen

# 
#-----[ FIND ]--------------------------------------------- 
# Line 36 
         'PHPBB_VERSION' => '2' . $board_config['version'], 

# 
#-----[ REPLACE WITH ]--------------------------------------------- 
# 

         'PHPBB_VERSION' => ($userdata['user_level'] == ADMIN && $userdata['user_id'] != ANONYMOUS) ? '2' . $board_config['version'] : '',



Meine Frage dazu:
Müsste dann die darunter stehende Zeile (Zeile 37) nicht auch verändert werden?
Wenn ja, wie?
Das ist die darunter liegende Zeile:

Code: Alles auswählen

   'PLUS_VERSION' => $plus_config['plus_version'],
Wie müsste diese angepasst werden?
So?

Code: Alles auswählen

'PLUS_VERSION' => ($userdata['user_level'] == ADMIN && $userdata['user_id'] != ANONYMOUS) ? 'PLUS_VERSION'  => $board_config['version'] : '',

Oder braucht diese Zeile gar nicht angepasst werden?


Gruß Stöbi


EDIT:
Als phpbb2 1.5x Anwender hab ich nun, vorher gab es einen Parse Fehler, wie folgt abgändert
und funktioniert:

Zeile 37 in admin/page_footer_admin.php, oder:

suchen nach:

Code: Alles auswählen

 'PLUS_VERSION' => $plus_config['plus_version'],
Ändern in:

Code: Alles auswählen

'PLUS_VERSION' => ($userdata['user_level'] == ADMIN && $userdata['user_id'] != ANONYMOUS) ? $plus_config['plus_version'] : ''
Zuletzt geändert von Stoebi am Sa 16.Apr, 2005 16:21, insgesamt 3-mal geändert.

Benutzeravatar
cback
Moderator
Moderator
Beiträge: 1556
Registriert: Sa 15.Mai, 2004 14:32
Wohnort: Saarland
Kontaktdaten:

Beitrag von cback » Sa 16.Apr, 2005 16:58

Wobei die von der phpBB Group ja was entscheidendes übersehen haben. Bzw. die von phpBB.de. Das hier liegt ja immer im Foren-Root eines jeden Paketes:
phpbb2-2.0.13-deutsch - Installation

Empfohlen für: * sämtliche phpBB2 Versionen ohne installierte Mods
* Neuinstallationen

Dieses Archiv enthält ein eingedeutschtes phpBB 2.0.13.

Das originale phpBB2 erhalten Sie bei http://www.phpbb.com/

Installation: Alle Dateien entpacken; dann install/install.php im
Browser aufrufen. Update: Alle Dateien bis auf config.php mit denen
aus diesem Archiv überschreiben; dann install/update_to_213.php
im Browser aufrufen.

Diese Redistribution unterliegt der GPL.
(c) 2004 phpBB.de
(obs bei der 14er noch drin is hab ich noch net geschaut)


Was macht man also?

Google


phpBB 2.0.12 readme.txt filetype:txt


Und peng... ;)

Aus dem Grunde hab ich nun beim Update auf Orion NG 1.8.4 based on phpBB 2.0.14 eine Löschanweisung für die readme.txt eingebastelt ;) Ihr solltet daran vielleicht auch noch denken ;)
Zuletzt geändert von cback am Sa 16.Apr, 2005 16:59, insgesamt 2-mal geändert.

Benutzeravatar
skittles
User
User
Beiträge: 907
Registriert: So 04.Apr, 2004 00:07
Wohnort: Wien

Beitrag von skittles » Sa 16.Apr, 2005 19:44

was meinste?
Ich versteh nicht ganz was du damit sagen willst cBack
[center]Populanten von transparenten Domizilen sollten
mit fester Materie keine transzendenten Bewegungen durchf?hren.
[/center]


Bild

Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » Sa 16.Apr, 2005 21:21

Ja, da stehe ich auch ein wenig auf dem Schlauch, cback :confused:
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

modbo
User
User
Beiträge: 1422
Registriert: Mo 13.Dez, 2004 11:18
Kontaktdaten:

Beitrag von modbo » Sa 16.Apr, 2005 21:37

Ich denke mal, dass cback meint, dass dadurch ein potentieller Angreifer ohne weiteres herausbekommen kann, welche Forenversion installiert ist, auch wenn sie im Footer nicht mehr angezeigt wird, bzw. kann man sich schnell über google ein paar passende Borads suchen, oder??
Trifft allerdings nur auf Komplette Neuinstallationen zu, den bei den Codechanges wird keine Readme.txt ind den Root kopiert.

Vielleicht habe ich es auch falsch interpretiert :p
Zuletzt geändert von modbo am Sa 16.Apr, 2005 21:37, insgesamt 1-mal geändert.

Benutzeravatar
cback
Moderator
Moderator
Beiträge: 1556
Registriert: Sa 15.Mai, 2004 14:32
Wohnort: Saarland
Kontaktdaten:

Beitrag von cback » Sa 16.Apr, 2005 23:11

Genau richtig. Bis zur Version 2.0.11 war vom Deutschen Paket diese Readme im Hauptordner integriert. So und jetzt geht jeder hin und lädt wohl den Ordner hoch und wenn da im gleichen verzeichnis wie common.php, index.php, ... diese readme.txt liegt, dann bleibt die da auch sicherlich mit drin.

Und wenn man dann manuell updatet bleibt die ja ebenfalls noch drin. Ich habs heut auch erst richtig wahrgenommen, bei mir lag noch eine vom 2.0.8er drin, was die erste Version war, auf der Orion basierte. Daher jetzt die Anweisung "Leute löscht die Datei falls ihr die mit hochgeladen habt". Also genau so wie du es interprätiert hast hab ich es gemeint.

So ist die Versionsnummer entfernt aber über Google find ich die Boards trotzdem noch.

Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » So 17.Apr, 2005 09:22

Naja, da ich seit 2.0.4 schon immer nur update und alle Text-Dateien gleich gelöscht hatte, war mir der Umstand nie aufgefallen...
Okay, danke dennoch für den Hinweis.
Ich werde bei neuen Boards drauf achten.
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

Benutzeravatar
AmigaLink
Moderator
Moderator
Beiträge: 6211
Registriert: Mi 03.Mär, 2004 09:05
Wohnort: NRW
Kontaktdaten:

Beitrag von AmigaLink » So 17.Apr, 2005 14:22

Ich hab die readme noch nie mit hochgeladen, könnte mir aber gut vorstellen das die meisten das tun. Von daher ein guter Hinweis von cback! :)
[center].: Web Relax .::. Essen mit Freude .::. AmigaLink.de :.
______________________________________

Kein Support per PM, ICQ oder eMail!!!
[/center]

Benutzeravatar
adjustMan
User
User
Beiträge: 207
Registriert: Fr 17.Sep, 2004 23:03

Beitrag von adjustMan » Mo 09.Mai, 2005 11:25

Schon gehört?

http://www.heise.de/newsticker/meldung/59378

phpBB 2.0.15 behebt mehrere Schwachstellen
cu aM

Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » Mo 09.Mai, 2005 12:46

Ja, phpBB 2.0.15 ist auch bei den meisten Usern hier schon installiert worden.
Aber dennoch danke für den Hinweis.
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

Antworten